Skip to main content
`Ctrl`+`K`

# TaoMatGetSubMat

Gets a submatrix using the `IS`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMatGetSubMat(Mat M, IS is, Vec v1, TaoSubsetType subset_type, Mat *Msub)

## Input Parameters

- M - the full matrix (`n x n`)

- is - the index set for the submatrix (both row and column index sets need to be the same)

- v1 - work vector of dimension n, needed for `TAO_SUBSET_MASK` option

- subset_type - the method `Tao` is using for subsetting

## Output Parameter

- Msub - the submatrix

## See Also

`TaoVecGetSubVec()`, `TaoSubsetType`

## Level

developer

## Location

src/tao/bound/utils/isutil.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages